Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon
Class Profiler.ProfProcess

    java.lang.Object
      |
      +--org.apache.cocoon.Profiler.ProfProcess

Enclosing class:
  Profiler

protected class Profiler.ProfProcess
extends java.lang.Object

Field Summary
`protected java.lang.String` | `event`
`protected boolean` | `finished`
`protected long` | `time`

Constructor Summary
`protected` | `Profiler.ProfProcess(long startTime, java.lang.String event)`

Method Summary
`protected void` | `finishedAt(long finishTime)`
`protected long` | `getDuration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### event

    protected final java.lang.String event

### finished

    protected boolean finished

### time

    protected long time

Constructor Detail

### Profiler.ProfProcess

    protected Profiler.ProfProcess(long startTime,
                                   java.lang.String event)

Method Detail

### finishedAt

    protected void finishedAt(long finishTime)

### getDuration

    protected long getDuration()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.